# C端消息中心（fw-hestia）
## 简介
> C端消息中心

## 1. SDK
   ```xml
<dependency>
    <groupId>cn.fw</groupId>
    <artifactId>fw-hestia-sdk</artifactId>
    <version>1.0.0</version>
</dependency>
   ```
## 2. 接口

### 发送模板消息
`IMessageCenterService#send`  单条
`IMessageCenterService#sendBatch` 批量（最多1000条）  。批量的情况参数为List, 返回值也为List

**参数**

|参数名|必须|类型|说明|
|----|:----:|:----:|:----|
|memberId|是 | Long| 会员id|
|title| 是 | String| 标题|
|content|是|String|内容|
|extraMap| 否 | HashMap<String,String>| 额外附带数据（最多5条）|
|remark| 否 | String| 备注。|
|path| 否 | String| 小程序页面路径。|
|paramMap| 否 | HashMap<String,String>| 跳转小程序所携带的参数。| 

**返回值** (集合)

```java
    public class SendResult {
        /**
        * 唯一标识
        */
        private Long sceneToken;
        /**
        * 会员id
        */
        private Long memberId;
    }
``` 

**说明**
> 调用接口成功后小程序上已经能看到对应的消息了，公众号模板消息可能会因为各种原因没有发送到微信上去，所以如果需要监听模板消息发送的情况 需要监听MQ消息通过sceneToken通知发送成功的事件

### 撤回消息
`IMessageCenterService#revokeMessage`

**参数**

|参数名| 必须 |类型|说明|
|---|:---:|:---:|:---|
|sceneToken|是 | Long| sceneToken| 

**返回值**

返回是否操作成功

**说明**
> 撤回消息。 小程序消息中心无法查看，但是发送出去的公众号模板消息无法回滚

## 3. MQ

### 说明

> 成功发送公众号模板消息后会发送mq

### topic: message_send

```java
public class MessageSendMq {
    public final static String TOPIC = "message_send";
    /**
    * 唯一标识
    */
    private Long sceneToken;
    /**
    * 发送时间
    */
    private Date sendTime;
}
```