package cn.fw.hestia.common.utils

import cn.hutool.core.thread.ExecutorBuilder
import cn.hutool.core.thread.NamedThreadFactory
import java.util.concurrent.ExecutorService

/**
 * ThreadPoolUtil
 *
 * @author : kurisu
 * @version : 2.0
 * @className : ThreadPoolUtil
 * @description : ThreadPoolUtil
 * @date : 2023-04-19 17:31
 */

object ThreadPoolUtil {
    val executor: ExecutorService = ExecutorBuilder.create()
        .setCorePoolSize(30)
        .setMaxPoolSize(100)
        .setThreadFactory(NamedThreadFactory("hestia-custom-", false))
        .setAllowCoreThreadTimeOut(true)
        .useArrayBlockingQueue(512)
        .build()
}