package cn.fw.hestia.domain.db

import cn.fw.common.annotation.NoArg
import cn.fw.hestia.domain.enums.MessageStateEnum
import com.baomidou.mybatisplus.annotation.*
import com.baomidou.mybatisplus.extension.activerecord.Model
import java.util.*

/**
 * 消息记录
 *
 * @author : kurisu
 * @version : 1.0
 * @desc : 消息记录
 * @date : 2023-12-18 09:40
 */
@NoArg
data class MessageHistory(
    @TableId(type = IdType.ASSIGN_ID) var id: Long?,
    var memberId: Long?,
    var templateCode: String?,
    var title: String?,
    var content: String?,
    var keywords: String?,
    var remark: String?,
    var pagePath: String?,
    var pageParams: String?,
    var readz: Boolean?,
    var sendTime: Date?,
    var frequency: Int?,
    var state: MessageStateEnum?,
    var yn: Boolean?,
    @TableField(insertStrategy = FieldStrategy.NOT_NULL, fill = FieldFill.INSERT)
    var createTime: Date?
) : Model<MessageHistory>()
