package cn.fw.hestia.domain.vo;

import cn.fw.hestia.domain.db.MessageHistory;
import lombok.Data;
import lombok.ToString;

import java.util.Date;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : Demo
 * @description :
 * @date: 2021-09-23 15:26
 */
@Data
@ToString
public class MessageHistoryVO {
    private Long messageId;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 消息标题
     */
    private String title;
    /**
     * 消息内容
     */
    private String content;
    /**
     * 备注
     */
    private String remark;
    /**
     * 小程序页面路径
     */
    private String pagePath;
    /**
     * 是否已读
     */
    private Boolean readz;
    /**
     * 发送时间
     */
    private Date messageTime;

    public static MessageHistoryVO with(MessageHistory history) {
        if (Objects.isNull(history)) {
            return null;
        }
        MessageHistoryVO vo = new MessageHistoryVO();
        vo.setMessageId(history.getId());
        vo.setMemberId(history.getMemberId());
        vo.setTitle(history.getTitle());
        vo.setContent(history.getContent());
        vo.setReadz(history.getReadz());
        vo.setRemark(history.getRemark());
        vo.setMessageTime(history.getCreateTime());
        if (history.getPagePath() != null && !history.getPagePath().trim().isEmpty()) {
            String st = history.getPagePath() + "?sceneToken=" + history.getId();
            vo.setPagePath(st);
        }
        return vo;
    }
}
