package cn.fw.hestia.component

import cn.fw.hestia.sdk.result.MessageSendMq
import lombok.extern.slf4j.Slf4j
import org.apache.rocketmq.spring.core.RocketMQTemplate
import org.slf4j.Logger
import org.slf4j.LoggerFactory
import org.springframework.stereotype.Component
import org.springframework.web.bind.annotation.RequestMapping

/**
 * @author kurisu
 */
@Slf4j
@Component
class SendMsgProducer(private val rocketMQTemplate: RocketMQTemplate) {
    val log: Logger = LoggerFactory.getLogger(this::class.java)

    @RequestMapping(value = ["send"])
    fun send(messageSendMq: MessageSendMq?) {
        try {
            log.info("模板消息发送成功mq: body:[{}]", messageSendMq)
            rocketMQTemplate.syncSend(MessageSendMq.TOPIC + ":*", messageSendMq)
        } catch (e: Exception) {
            log.error("模板消息发送成功mq生成失败", e)
        }
    }
}